#include "xfxspawndef.h"

XFxSpawnDef::XFxSpawnDef()
    : XAsset()
    , mLooping()
    , mOneShot()
{
    
}

XFxSpawnDef::~XFxSpawnDef()
{
    
}

void XFxSpawnDef::Clear()
{
    mLooping.Clear();
    mOneShot.Clear();
}

void XFxSpawnDef::ParseData(QDataStream *aStream)
{
    
}
